---
title: Selection.type
slug: Web/API/Selection/type
tags:
  - API
  - Experimental
  - Property
  - Reference
  - Selection
  - Type
---
<div>{{APIRef("DOM")}}{{SeeCompatTable}}</div>

<p>The <strong><code>type</code></strong> read-only property of the {{domxref("Selection")}} interface returns a {{domxref("DOMString")}} describing the type of the current selection.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>value</em> =<em> sel</em>.type
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} describing the type of the current selection. Possible values are:</p>

<ul>
 <li><code>None</code>: No selection has currently been made.</li>
 <li><code>Caret</code>: The selection is collapsed (i.e. the caret is placed on some text, but no range has been selected).</li>
 <li><code>Range</code>: A range has been selected.</li>
</ul>

<h2 id="Example">Example</h2>

<p>In this example, the event handler will fire each time a new selection is made. <code>console.log(selection.type)</code> will return <code>Caret</code> or <code>Range</code> depending on whether the caret is placed at a single point in the text, or a range has been selected.</p>

<pre class="brush: js">var selection;

document.onselectionchange = function() {
  console.log('New selection made');
  selection = document.getSelection();
  console.log(selection.type);
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Selection API', '#dom-selection-type', 'Selection.type')}}</td>
   <td>{{Spec2('Selection API')}}</td>
   <td>Current</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Selection.type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Selection")}}</li>
</ul>
